package com.ruoyi.interfaces.domain;

import java.io.Serializable;
import java.util.Date;

public class PtMapFile implements Serializable {
    private String fileId;

    private String mapId;

    private String relId;

    private String fileType;

    private String filePath;

    private String fileSavename;

    private String fileViewname;

    private Date fileTime;

    private static final long serialVersionUID = 1L;

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId == null ? null : fileId.trim();
    }

    public String getMapId() {
        return mapId;
    }

    public void setMapId(String mapId) {
        this.mapId = mapId;
    }

    public String getRelId() {
        return relId;
    }

    public void setRelId(String relId) {
        this.relId = relId == null ? null : relId.trim();
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType == null ? null : fileType.trim();
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath == null ? null : filePath.trim();
    }

    public String getFileSavename() {
        return fileSavename;
    }

    public void setFileSavename(String fileSavename) {
        this.fileSavename = fileSavename == null ? null : fileSavename.trim();
    }

    public String getFileViewname() {
        return fileViewname;
    }

    public void setFileViewname(String fileViewname) {
        this.fileViewname = fileViewname == null ? null : fileViewname.trim();
    }

    public Date getFileTime() {
        return fileTime;
    }

    public void setFileTime(Date fileTime) {
        this.fileTime = fileTime;
    }

    @Override
    public String toString() {
        return "PtMapFile{" +
                "fileId='" + fileId + '\'' +
                ", mapId='" + mapId + '\'' +
                ", relId='" + relId + '\'' +
                ", fileType='" + fileType + '\'' +
                ", filePath='" + filePath + '\'' +
                ", fileSavename='" + fileSavename + '\'' +
                ", fileViewname='" + fileViewname + '\'' +
                ", fileTime=" + fileTime +
                '}';
    }
}
